Package org.python.core

# Class __builtin__

java.lang.Object
org.python.core.__builtin__

public class __builtin__ extends Object
The builtin module. All builtin functions are defined here

## Field Summary

Fields
Modifier and Type
Field
Description
`static PyString`
`__doc__zip`

## Constructor Summary

Constructors
Constructor
Description
`__builtin__()`

## Method Summary

Modifier and Type
Method
Description
`static PyObject`
`__import__(String name)`
`static PyObject`
`__import__(String name, PyObject globals)`
`static PyObject`
`__import__(String name, PyObject globals, PyObject locals)`
`static PyObject`
`__import__(String name, PyObject globals, PyObject locals, PyObject fromlist)`
`static PyObject`
`__import__(String name, PyObject globals, PyObject locals, PyObject fromlist, int level)`
`static PyObject`
`abs(PyObject o)`
`static PyObject`
`apply(PyObject o)`
`static PyObject`
`apply(PyObject o, PyObject args)`
`static PyObject`
`apply(PyObject o, PyObject args, PyDictionary kws)`
`static boolean`
`callable(PyObject obj)`
`static char`
`chr(int i)`
`static int`
`cmp(PyObject x, PyObject y)`
`static PyTuple`
`coerce(PyObject o1, PyObject o2)`
`static void`
`delattr(PyObject obj, PyObject name)`
`static PyObject`
`dir()`
`static PyObject`
`dir(PyObject o)`
`static PyObject`
`divmod(PyObject x, PyObject y)`
`static PyObject`
`eval(PyObject o)`
`static PyObject`
`eval(PyObject o, PyObject globals)`
`static PyObject`
`eval(PyObject o, PyObject globals, PyObject locals)`
`static void`
`execfile(String name)`
`static void`
`execfile(String name, PyObject globals)`
`static void`
`execfile(String name, PyObject globals, PyObject locals)`
`static void`
`execfile_flags(String name, PyObject globals, PyObject locals, CompilerFlags cflags)`
`static void`
`fillWithBuiltins(PyObject dict)`
`static PyObject`
`filter(PyObject func, PyObject seq)`
`static PyObject`
`filterBaseString(PyObject func, PyBaseString seq, PyType stringType)`
`static PyObject`
`filterTuple(PyObject func, PyTuple seq)`
`static PyObject`
`getattr(PyObject obj, PyObject name)`
`static PyObject`
`getattr(PyObject obj, PyObject nameObj, PyObject def)`
`static PyObject`
`globals()`
`static boolean`
`hasattr(PyObject obj, PyObject nameObj)`
`static PyInteger`
`hash(PyObject o)`
`static PyString`
`hex(PyObject o)`
`static long`
`id(PyObject o)`
`static PyObject`
`input()`
`static PyObject`
`input(PyObject prompt)`
`static PyString`
`intern(PyObject obj)`
`static boolean`
`isinstance(PyObject obj, PyObject cls)`
`static boolean`
`issubclass(PyObject derived, PyObject cls)`
`static PyObject`
`iter(PyObject obj)`
`static PyObject`
`iter(PyObject callable, PyObject sentinel)`
`static int`
`len(PyObject obj)`
`static PyObject`
`locals()`
`static PyObject`
`map(PyObject[] argstar)`
`static PyString`
`oct(PyObject o)`
`static final int`
`ord(PyObject c)`
Built-in Python function ord() applicable to the string-like types `str`, `bytearray`, `unicode`.
`static PyObject`
`pow(PyObject x, PyObject y)`
`static PyObject`
`pow(PyObject x, PyObject y, PyObject z)`
`static PyObject`
`range(PyObject n)`
`static PyObject`
`range(PyObject start, PyObject stop)`
`static PyObject`
`range(PyObject ilow, PyObject ihigh, PyObject istep)`
`static String`
`raw_input()`
Implementation of `raw_input()` built-in function using the console directly.
`static String`
`raw_input(PyObject prompt)`
Implementation of `raw_input(prompt)` built-in function using the console indirectly via `sys.stdin` and `sys.stdin`.
`static String`
`raw_input(PyObject prompt, PyObject file)`
Companion to `raw_input` built-in function used when the interactive interpreter is directed to a file.
`static PyObject`
`reduce(PyObject f, PyObject l)`
`static PyObject`
`reduce(PyObject f, PyObject l, PyObject z)`
`static PyObject`
`reload(PyModule o)`
`static PyObject`
`reload(PyObject o)`
`static PyObject`
`reload(PySystemState o)`
`static PyString`
`repr(PyObject o)`
`static PyObject`
`reversed(PyObject seq)`
`static void`
`setattr(PyObject obj, PyObject name, PyObject value)`
`static PyObject`
`sum(PyObject seq)`
`static PyObject`
`sum(PyObject seq, PyObject result)`
`static PyType`
`type(PyObject o)`
`static int`
`unichr(int i)`
`static int`
`unichr(PyObject obj)`
`static PyObject`
`vars()`
`static PyObject`
`vars(PyObject o)`
`static PyObject`
`zip()`
`static PyObject`
`zip(PyObject[] argstar)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### __doc__zip

public static PyString __doc__zip

## Constructor Details

### __builtin__

public __builtin__()

## Method Details

### fillWithBuiltins

public static void fillWithBuiltins(PyObject dict)

### abs

public static PyObject abs(PyObject o)

### apply

public static PyObject apply(PyObject o)

### apply

public static PyObject apply(PyObject o, PyObject args)

### apply

public static PyObject apply(PyObject o, PyObject args, PyDictionary kws)

### callable

public static boolean callable(PyObject obj)

### unichr

public static int unichr(PyObject obj)

### unichr

public static int unichr(int i)

### chr

public static char chr(int i)

### cmp

public static int cmp(PyObject x, PyObject y)

### coerce

public static PyTuple coerce(PyObject o1, PyObject o2)

### delattr

public static void delattr(PyObject obj, PyObject name)

### dir

public static PyObject dir(PyObject o)

### dir

public static PyObject dir()

### divmod

public static PyObject divmod(PyObject x, PyObject y)

### eval

public static PyObject eval(PyObject o, PyObject globals, PyObject locals)

### eval

public static PyObject eval(PyObject o, PyObject globals)

### eval

public static PyObject eval(PyObject o)

### execfile

public static void execfile(String name, PyObject globals, PyObject locals)

### execfile_flags

public static void execfile_flags(String name, PyObject globals, PyObject locals, CompilerFlags cflags)

### execfile

public static void execfile(String name, PyObject globals)

### execfile

public static void execfile(String name)

### filter

public static PyObject filter(PyObject func, PyObject seq)

### filterBaseString

public static PyObject filterBaseString(PyObject func, PyBaseString seq, PyType stringType)

### filterTuple

public static PyObject filterTuple(PyObject func, PyTuple seq)

### getattr

public static PyObject getattr(PyObject obj, PyObject name)

### getattr

public static PyObject getattr(PyObject obj, PyObject nameObj, PyObject def)

### globals

public static PyObject globals()

### hasattr

public static boolean hasattr(PyObject obj, PyObject nameObj)

### hash

public static PyInteger hash(PyObject o)

### hex

public static PyString hex(PyObject o)

### id

public static long id(PyObject o)

### input

public static PyObject input(PyObject prompt)

### input

public static PyObject input()

### intern

public static PyString intern(PyObject obj)

### isinstance

public static boolean isinstance(PyObject obj, PyObject cls)

### issubclass

public static boolean issubclass(PyObject derived, PyObject cls)

### iter

public static PyObject iter(PyObject obj)

### iter

public static PyObject iter(PyObject callable, PyObject sentinel)

### len

public static int len(PyObject obj)

### locals

public static PyObject locals()

### map

public static PyObject map(PyObject[] argstar)

### oct

public static PyString oct(PyObject o)

### ord

public static final int ord(PyObject c) throws PyException
Built-in Python function ord() applicable to the string-like types `str`, `bytearray`, `unicode`.

Parameters:
  `c` - string-like object of length 1
Returns:
  ordinal value of character or byte value in
Throws:
  `PyException` - `TypeError` if not a string-like type

### pow

public static PyObject pow(PyObject x, PyObject y)

### pow

public static PyObject pow(PyObject x, PyObject y, PyObject z)

### range

public static PyObject range(PyObject n)

### range

public static PyObject range(PyObject start, PyObject stop)

### range

public static PyObject range(PyObject ilow, PyObject ihigh, PyObject istep)

### raw_input

public static String raw_input(PyObject prompt, PyObject file)
Companion to `raw_input` built-in function used when the interactive interpreter is directed to a file.

Parameters:
  `prompt` - to issue at console before read
  `file` - a file-like object to read from
Returns:
  line of text from the file (encoded as bytes values compatible with PyString)

### raw_input

public static String raw_input(PyObject prompt)
Implementation of `raw_input(prompt)` built-in function using the console indirectly via `sys.stdin` and `sys.stdin`.

Parameters:
  `prompt` - to issue at console before read
Returns:
  line of text from console (encoded as bytes values compatible with PyString)

### raw_input

public static String raw_input()
Implementation of `raw_input()` built-in function using the console directly.

Returns:
  line of text from console (encoded as bytes values compatible with PyString)

### reduce

public static PyObject reduce(PyObject f, PyObject l, PyObject z)

### reduce

public static PyObject reduce(PyObject f, PyObject l)

### reload

public static PyObject reload(PyObject o)

### reload

public static PyObject reload(PyModule o)

### reload

public static PyObject reload(PySystemState o)

### repr

public static PyString repr(PyObject o)

### setattr

public static void setattr(PyObject obj, PyObject name, PyObject value)

### sum

public static PyObject sum(PyObject seq, PyObject result)

### reversed

public static PyObject reversed(PyObject seq)

### sum

public static PyObject sum(PyObject seq)

### type

public static PyType type(PyObject o)

### vars

public static PyObject vars()

### vars

public static PyObject vars(PyObject o)

### zip

public static PyObject zip()

### zip

public static PyObject zip(PyObject[] argstar)

### __import__

public static PyObject __import__(String name)

### __import__

public static PyObject __import__(String name, PyObject globals)

### __import__

public static PyObject __import__(String name, PyObject globals, PyObject locals)

### __import__

public static PyObject __import__(String name, PyObject globals, PyObject locals, PyObject fromlist)

### __import__

public static PyObject __import__(String name, PyObject globals, PyObject locals, PyObject fromlist, int level)